#include<iostream>
#include<fstream>
#include<string.h>
using namespace std;
int main()
{
	char n[255];
	int c=0;
	ifstream fi("DEMTU.inp");
	fi.getline(n,255);
	fi.close();
	ofstream fo("DEMTU.out");
	for(int i=0;i<strlen(n);i++)
	{
		int h=int(n[i]);
		if(h==32)
		{
			c++;
		}
	}
	fo<<c+1;
	fo.close();
	return 0;
}
